<?php
$tempColumns = [
    'tx_issue86212_related_content' => [
        'config' => [
            'type' => 'inline',
            'foreign_table' => 'tt_content',
            'foreign_sortby' => 'sorting',
            'appearance' => [
                'collapseAll' => '1',
                'levelLinksPosition' => 'top',
                'showSynchronizationLink' => '1',
                'showPossibleLocalizationRecords' => '1',
                'showAllLocalizationLink' => '1',
                'useSortable' => '1',
                'enabledControls' => [
                    'dragdrop' => '1',
                ],
            ],
            'behaviour' => [
                'localizationMode' => 'select',
                'allowLanguageSynchronization' => true,
            ],
            'foreign_field' => 'tx_issue86212_related_content_parent',
            'overrideChildTca' => [
                'columns' => [
                    'CType' => [
                        'config' => [
                            'default' => 'header',
                        ],
                    ],
                    'colPos' => [
                        'config' => [
                            'default' => '999',
                        ],
                    ],
                ],
            ],
        ],
        'exclude' => '1',
        'label' => 'Related Content',
    ],
];
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $tempColumns);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'tx_issue86212_related_content');
